Redmine - Feature #8343

Add wiki toolbar to "Email header" and "Email footer"” in "Email notifications' admin tab
2011-05-11 16:43 - Luis Serrano Aranda

Status: Closed Start date: 2011-05-11
Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

It is possible to change and put the bar wiki bar indside the emails header ?

| try but don't work ...
Could you helpme

| try changing this in the _notifications.rhtm:
From

<fieldset class="box"><legend><%= 1 (:setting_emails_header) %></legend>
<%= setting_text_area :emails_header, :label => false, :class => 'wiki-edit', :rows => 5 %>
</fieldset>

To

<fieldset class="box"><legend><%= 1 (:setting_emails_header) %></legend>

<%= setting_text_area :emails_header, :label => false, :class => 'wiki-edit', :rows => 5 %>
<%= wikitoolbar_for 'settings_emails_header' %>

</fieldset>

Thanks

Related issues:
Has duplicate Redmine - Feature #8965: Formatting buttons for edit controls f... Closed 2011-08-01

Associated revisions

Revision 18475 - 2019-09-17 07:58 - Go MAEDA

Add wiki toolbar to "Email header" and "Email footer" in "Email notifications" admin tab (#8343).

Patch by Go MAEDA.

History

#1 - 2011-05-11 18:06 - Etienne Massip

- Category set to Administration

#2 - 2011-05-27 16:52 - Etienne Massip

- Target version set to Candidate for next major release

#3 - 2019-09-17 06:15 - Go MAEDA
- File add-wiki-toolbar@2x.png added

- Target version changed from Candidate for next major release to 4.1.0

Here is a patch to implement the feature.
diff --git a/app/views/settings/_notifications.html.erb b/app/views/settings/_notifications.html.erb

index £50bd33cb..5eb73d879 100644
—-—— a/app/views/settings/_notifications.html.erb
+++ b/app/views/settings/_notifications.html.erb
@@ -22,10 +22,12 Q@@

<fieldset class="box"><legend><%= 1l (:setting_emails_header) %></legend>

<%= setting_text_area :emails_header, :label => false, :class => 'wiki-edit', :rows => 5 %>
+<%= wikitoolbar_for 'settings_emails_header' %>

</fieldset>

<fieldset class="box"><legend><%= 1l (:setting_emails_footer) %></legend>

<%= setting_text_area :emails_footer, :label => false, :class => 'wiki-edit', :rows => 5 %>
+<%= wikitoolbar_for 'settings_emails_footer' %>

</fieldset>
You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: i http://hostname/my/account

#4 - 2019-09-17 07:58 - Go MAEDA

- Subject changed from Add wikibar inside notifications menu to Add wiki toolbar to "Email header" and "Email footer" in "Email notifications" admin tab

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch.

#5 - 2021-03-29 10:40 - Go MAEDA

- Has duplicate Feature #8965: Formatting buttons for edit controls for e-mail headers and footers added
